Subject: Re: DR election

From: Phil Chen <[email-masked]>
Date: Tue, 13 May 2003 09:29:24 -0400

If I understand you correctly, you are talking about a situation where a IP subnetwork is partitioned (may be due to some layer 2 problems) where each partition may have tis own DR/BDR. In this case, when partitions are merged, R4 will be the new DR for the final healed IP subnetwork. R3 will become DR-other. R2 remains as BDR (unless there is another BDR from other partition).

--Phil

-----Original Message-----
From: Zebaida, Dror (Dror) [mailto:[email-masked]]
Sent: Tuesday, May 13, 2003 8:04 AM
To: [email-masked]
Subject: Re: DR election

I understand that if there is already a DR/BDR then R4 will not become the DR.
However, when an interface transitions out of the WAIT state, if it thinks it is
alone on the network, it declares itself the DR.  If after that, it connects to the
network, there are 2 routers declaring themselves DR. In our case R3 and R4.
At this stage, is a new DR elected, or does R3 remain the DR.

The scenario I am describing is R4 is conneced to the network after it transitioned
out of the WAIT state (after 40 seconds)

Thanks

-----Original Message-----
From: Russ White [mailto:[email-masked]]
Sent: Tuesday, May 13, 2003 2:56 PM
To: [email-masked]
Subject: Re: DR election

As long as there is already a dr on the link, R4 would not take over as the
DR. Or it shouldn't. Think of it this way: The DR isn't elected first, the
BDR is. Then the routers attached to the link "discover" there is no DR,
and promote the BDR to DR, and elect a new BDR.

:-)

Russ

On Tue, 13 May 2003, Dror wrote:

> Hi,
>
> I have a question regarding a DR election algorithm.  If I have a netowrk
> with 3 routers R1,-R3, each having the same priority and with router IDs
> 0.0.0.1, 0.0.0.2, 0.0.0.3 respectively.
>
> After a DR election process is done, R3 will be DR, R2 will be BDR and R1
> will be DR-Other.  This is the result of the DR election process since R3
> has the largest router ID.
>
> If I add a new router R4 with router ID 0.0.0.4, do I expect R4 to become
> the DR, or does it just become another DR-other since there is already a DR
> in the network.
>
> Does the result depend on whether R4 is connected to the network when it is
> still in the WAIT state, or the result is the same nevertheless.
>
> Thanks
> Dror
>

__________________________________
[email-masked] CCIE <>< Grace Alone